@ECHO OFF

SETLOCAL

set DOMAIN_HOME=C:\dominio\dominiowl12\dominio_desa
set JAVA_HOME=C:\Oracle\java\jdk1.8

set USER_MEM_ARGS=-Xms2048m -Xmx16384m %MEM_DEV_ARGS% %MEM_MAX_PERM_SIZE%


@REM ***************************************************************************
@REM * CONFIGURACION EJIE *
@REM ***************************************************************************

set UNIDAD_USR=C:
set CONFIG=%UNIDAD_USR%/config/dominio_desa

@REM ######### XLNetS #########
set UNIDAD_XLNETS=%UNIDAD_USR%/usr/java8/xlnets
set N38_LIB=%UNIDAD_XLNETS%/wl12_7011/aplic/n38/lib/cryptix/cryptix32.jar;%UNIDAD_XLNETS%/wl12_7011/aplic/n38/lib/iws/iws.jar;%UNIDAD_XLNETS%/wl12_7011/aplic/n38/lib/log4j/log4j-1.2.12.jar;%UNIDAD_XLNETS%/wl12_7011/aplic/n38/lib/n38i.jar;%UNIDAD_XLNETS%/wl12_7011/aplic/n38/lib/n38a.jar;%UNIDAD_XLNETS%/wl12_7011/aplic/n38/lib/n38n.jar;%UNIDAD_XLNETS%/wl12_7011/aplic/n38/lib/n38c.jar
set N38OPTIONS="-Dfile.encoding=iso8859-1"
set N38ENTORNO=%UNIDAD_XLNETS%/wl12_7011

set DEBUGOPTIONS=-Xdebug -Xnoagent -Xrunjdwp:transport=dt_socket,address=7007,server=y,suspend=n

set JAVA_OPTIONS=%JAVA_OPTIONS% -DN38ENTORNO=%N38ENTORNO% -DN38IPServidor=0.0.1 %N38OPTIONS% %DEBUGOPTIONS%
@REM ######### WebLogic Server 12.2.1.3.0 se entrega con el controlador Oracle 12.2.0.1. Definir a false para que no falle al conectarse con este controlador a una base de datos que no tiene GRID #########
set JAVA_OPTIONS=%JAVA_OPTIONS% -Doracle.jdbc.fanEnabled=false

@REM #Propiedad validacion namespaces cualificados WL 12.2.1.4
EXTRA_JAVA_PROPERTIES="${EXTRA_JAVA_PROPERTIES} -Dprocesssoapheader=relax"

@REM ######### Exportar valores (PRE_CLASSPATH) #########
set EXT_PRE_CLASSPATH=%CONFIG%;%N38_LIB%;

@REM ######### Hdiv #########
@REM call "%UNIDAD_USR%\hdiv\setHdiv.cmd"

@REM ***************************************************************************
@REM * CONFIGURACION EJIE *
@REM ***************************************************************************

set JAVA_OPTIONS=%JAVA_OPTIONS% -Djava.net.preferIPv4Stack=true

@REM # Agregar propiedad para deshabilitar Oracle Coherence
set JAVA_OPTIONS=%JAVA_OPTIONS% -Dcoherence.cluster=disabled

@REM # Iniciar WebLogic
call "%DOMAIN_HOME%\bin\startWebLogic.cmd" %*

ENDLOCAL
